# Method: projects.locations.pipelines.jobs.list

- [HTTP request](https://docs.cloud.google.com/dataflow/docs/reference/data-pipelines/rest/v1/projects.locations.pipelines.jobs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataflow/docs/reference/data-pipelines/rest/v1/projects.locations.pipelines.jobs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dataflow/docs/reference/data-pipelines/rest/v1/projects.locations.pipelines.jobs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataflow/docs/reference/data-pipelines/rest/v1/projects.locations.pipelines.jobs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/dataflow/docs/reference/data-pipelines/rest/v1/projects.locations.pipelines.jobs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/dataflow/docs/reference/data-pipelines/rest/v1/projects.locations.pipelines.jobs/list#body.ListJobsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/dataflow/docs/reference/data-pipelines/rest/v1/projects.locations.pipelines.jobs/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/dataflow/docs/reference/data-pipelines/rest/v1/projects.locations.pipelines.jobs/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/dataflow/docs/reference/data-pipelines/rest/v1/projects.locations.pipelines.jobs/list#try-it)

Lists jobs for a given pipeline.

Throws a "FORBIDDEN" error if the caller doesn't have permission to access it.

### HTTP request

`GET https://datapipelines.googleapis.com/v1/{parent=projects/*/locations/*/pipelines/*}/jobs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The pipeline name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/pipelines/PIPELINE_ID`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of entities to return. The service may return fewer than this value, even if there are additional pages. If unspecified, the max limit will be determined by the backend implementation. |
| `pageToken` | `string` A page token, received from a previous `jobs.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `jobs.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for \[jobs.list\]\[Datapipelines.ListJobs\]

| JSON representation |
|---|
| ``` { "jobs": [ { object (`https://docs.cloud.google.com/dataflow/docs/reference/data-pipelines/rest/v1/Job`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `jobs[]` | ``object (`https://docs.cloud.google.com/dataflow/docs/reference/data-pipelines/rest/v1/Job`)`` Results that were accessible to the caller. Results are always in descending order of job creation date. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `datapipelines.jobs.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).